> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/peaq/zenlinkprotocol_getpairbyassetid-peaq.md).

# zenlinkProtocol\_getPairByAssetId - Peaq

Example code for the zenlinkProtocol\_getPairByAssetId JSON-RPC method. Complete guide on how to use zenlinkProtocol\_getPairByAssetId JSON-RPC in GetBlock Web3 documentation.

Returns the liquidity-pair metadata for two Zenlink asset ids.

## Parameters

| # | Example                                              | Description            |
| - | ---------------------------------------------------- | ---------------------- |
| 0 | `{"chainId": 2241, "assetType": 0, "assetIndex": 0}` | Positional parameter 0 |
| 1 | `{"chainId": 2241, "assetType": 2, "assetIndex": 1}` | Positional parameter 1 |

## Request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request POST 'https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "method": "zenlinkProtocol_getPairByAssetId",
    "params": [{"chainId": 2241, "assetType": 0, "assetIndex": 0}, {"chainId": 2241, "assetType": 2, "assetIndex": 1}]
}'
```

{% endcode %}
{% endtab %}

{% tab title="Axios" %}
{% code title="example.js" %}

```javascript
const axios = require('axios');
const response = await axios.post('https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/', { jsonrpc: '2.0', id: 'getblock.io', method: 'zenlinkProtocol_getPairByAssetId', params: [{"chainId": 2241, "assetType": 0, "assetIndex": 0}, {"chainId": 2241, "assetType": 2, "assetIndex": 1}] }, { headers: { 'Content-Type': 'application/json' } });
console.log(response.data.result);
```

{% endcode %}
{% endtab %}

{% tab title="Request" %}
{% code title="example.py" %}

```python
import requests
response = requests.post('https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/', headers={'Content-Type': 'application/json'}, json={'jsonrpc': '2.0', 'id': 'getblock.io', 'method': 'zenlinkProtocol_getPairByAssetId', 'params': [{"chainId": 2241, "assetType": 0, "assetIndex": 0}, {"chainId": 2241, "assetType": 2, "assetIndex": 1}]})
print(response.json())
```

{% endcode %}
{% endtab %}

{% tab title="Rust" %}
{% code title="example.rs" %}

```rust
use reqwest::Client;
use serde_json::{json, Value};

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = Client::new();
    let res = client.post("https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/").json(&json!({"jsonrpc":"2.0","id":"getblock.io","method":"zenlinkProtocol_getPairByAssetId","params":[{"chainId": 2241, "assetType": 0, "assetIndex": 0}, {"chainId": 2241, "assetType": 2, "assetIndex": 1}]})).send().await?.json::<Value>().await?;
    println!("{}", res["result"]);
    Ok(())
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Response

```json
{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": {
        "asset0": {},
        "asset1": {},
        "account": "5G...",
        "totalLiquidity": "1000000"
    }
}
```

## Response Parameters

| Field   | Type   | Description                           |
| ------- | ------ | ------------------------------------- |
| jsonrpc | string | JSON-RPC version ("2.0")              |
| id      | string | Request identifier ("getblock.io")    |
| result  | varies | The method result (see example above) |

## Use Cases

* Programmatic access to the `zenlinkProtocol_getPairByAssetId` method on peaq
* Integrations, indexing, and tooling built on the peaq node API

## Error Handling

| Error                     | Message          | Description                                       |
| ------------------------- | ---------------- | ------------------------------------------------- |
| -32602                    | Invalid params   | A parameter was missing or malformed              |
| -32601                    | Method not found | The method name is not exposed by the node        |
| 403 / RBAC: access denied | Access denied    | The GetBlock access token is missing or incorrect |
